Bug 454884 - SDDM themes installed from KDE Store are not available for selection until KCM is reopen
Summary: SDDM themes installed from KDE Store are not available for selection until KC...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_sddm (show other bugs)
Version: master
Platform: Neon Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Edmundson
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2022-06-05 15:36 UTC by Patrick Silva
Modified: 2022-06-07 22:32 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-06-05 15:36:36 UTC
STEPS TO REPRODUCE
1. open SDDM KCM 
2. click on 'Get new SDDM themes...' button and install SDDM themes - I installed Card and Ittu motion theme for sddm on ny system
3. close  'Get new SDDM themes...' window: themes installed in the step 2 are not available for selection
4. go to another KCM
5. go back to SDDM KCM: now the SDDM themes are available for selection

EXPECTED RESULT
themes from KDE Store should be available for selection immediately after installing

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.25.80
KDE Frameworks Version: 5.95.0
Qt Version: 5.15.4
Graphics Platform: Wayland
Comment 1 galder 2022-06-06 12:50:32 UTC
confirmed
Comment 3 Bug Janitor Service 2022-06-06 19:01:55 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/sddm-kcm/-/merge_requests/28
Comment 4 Alexander Lohnau 2022-06-06 19:16:38 UTC
Git commit 52c57c8992e02bdc20690ed67114ffa7386b5484 by Alexander Lohnau.
Committed on 06/06/2022 at 19:01.
Pushed by ngraham into branch 'master'.

Fix broken connect in NewStuff.Action QML component usage

M  +1    -1    src/package/contents/ui/main.qml

https://invent.kde.org/plasma/sddm-kcm/commit/52c57c8992e02bdc20690ed67114ffa7386b5484
Comment 5 Nate Graham 2022-06-06 19:17:02 UTC
Git commit 81208ddefa8378cb8d5c20bf1b563b08dee2b567 by Nate Graham, on behalf of Alexander Lohnau.
Committed on 06/06/2022 at 19:16.
Pushed by ngraham into branch 'Plasma/5.25'.

Fix broken connect in NewStuff.Action QML component usage


(cherry picked from commit 52c57c8992e02bdc20690ed67114ffa7386b5484)

M  +1    -1    src/package/contents/ui/main.qml

https://invent.kde.org/plasma/sddm-kcm/commit/81208ddefa8378cb8d5c20bf1b563b08dee2b567
Comment 6 Nate Graham 2022-06-06 19:17:23 UTC
Git commit bb3e1394ee642cabe9f2211c972df4625bdb00bf by Nate Graham, on behalf of Alexander Lohnau.
Committed on 06/06/2022 at 19:17.
Pushed by ngraham into branch 'Plasma/5.24'.

Fix broken connect in NewStuff.Action QML component usage


(cherry picked from commit 52c57c8992e02bdc20690ed67114ffa7386b5484)

M  +1    -1    src/package/contents/ui/main.qml

https://invent.kde.org/plasma/sddm-kcm/commit/bb3e1394ee642cabe9f2211c972df4625bdb00bf